import { FormEvent, ReactNode } from 'react';
import { Box } from '../../ui/Box';

interface OnboardingFormProps {
  children: ReactNode;
  onSubmit: (e: FormEvent) => void;
}

export function OnboardingForm({ children, onSubmit }: OnboardingFormProps) {
  return (
    <Box as="form" onSubmit={onSubmit} position="relative">
      {children}
    </Box>
  );
}
